ATA_DEV_REVALIDATE(9)

NAME
ata_dev_revalidate - Revalidate ATA device

SYNOPSIS

int ata_dev_revalidate(struct ata_device * dev, unsigned int new_class, unsigned int readid_flags);

ARGUMENTS

dev
    device to revalidate

new_class
    new class code

readid_flags
    read ID flags

DESCRIPTION

Re-read IDENTIFY page, make sure dev is still attached to the port and reconfigure it according to the new IDENTIFY page.

LOCKING

Kernel thread context (may sleep)

RETURNS

0 on success, negative errno otherwise

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT